function selectNextarea(a) {
	document.getElementById("SeletctAreaId").value = a;
	if (a != "") {
		app.sendRequest("/region", {
			parent_id: a,
			config: {
				silence: true
			}
		}, function(b) {
			if (!b.status.succeed) {
				mui.toast(b.status.error_desc);
				return
			}
			var e = document.getElementById("seleAreaNext");
			e.options.length = 0;
			e.options.add(new Option("选择省", ""));
			if (b.data.regions) {
				for (i = 0; i < b.data.regions.length; i++) {
					var c = b.data.regions[i].name;
					var f = b.data.regions[i].id;
					e.options.add(new Option(c, f))
				}
			}
			var d = document.getElementById("AreaCode").value.split(",");
			e.value = d[1];
			selectThirarea(d[1], function() {
				document.getElementById("seleAreaThird").value = d[2];
				selectFoutharea(d[2], d[3])
			});
			e.addEventListener("change", function(g) {
				document.getElementById("SeletctAreaId").value = this.value;
				document.getElementById("seleAreaFouth").options.length = 0;
				selectThirarea(this.value)
			}, false)
		})
	} else {
		document.getElementById("seleAreaNext").options.length = 0;
		document.getElementById("seleAreaThird").options.length = 0;
		document.getElementById("seleAreaFouth").options.length = 0
	}
}

function selectThirarea(a, b) {
	document.getElementById("seleAreaThird").options.length = 0;
	if (a != "") {
		app.sendRequest("/region", {
			parent_id: a,
			config: {
				silence: true
			}
		}, function(c) {
			if (!c.status.succeed) {
				mui.toast(c.status.error_desc);
				return
			}
			var e = document.getElementById("seleAreaThird"),
				f = document.getElementById("seleAreaFouth");
			e.options.length = 0;
			e.options.add(new Option("选择市", ""));
			f.options.length = 0;
			f.options.add(new Option("选择区/县", ""));
			if (c.data.regions) {
				for (i = 0; i < c.data.regions.length; i++) {
					var d = c.data.regions[i].name;
					var g = c.data.regions[i].id;
					e.options.add(new Option(d, g))
				}
			}
			if (b) {
				b()
			}
			e.addEventListener("change", function(h) {
				document.getElementById("SeletctAreaId").value = this.value;
				selectFoutharea(this.value)
			}, false)
		})
	} else {
		document.getElementById("seleAreaThird").options.length = 0;
		document.getElementById("seleAreaFouth").options.length = 0
	}
}

function selectFoutharea(b, a) {
	if (b != "") {
		app.sendRequest("/region", {
			parent_id: b,
			config: {
				silence: true
			}
		}, function(c) {
			if (!c.status.succeed) {
				mui.toast(c.status.error_desc);
				return
			}
			var e = document.getElementById("seleAreaFouth");
			e.options.length = 0;
			e.options.add(new Option("选择区/县", ""));
			if (c.data.regions) {
				for (i = 0; i < c.data.regions.length; i++) {
					var d = c.data.regions[i].name;
					var f = c.data.regions[i].id;
					e.options.add(new Option(d, f))
				}
			}
			if (a) {
				e.value = a
			}
			if (e.options.length > 1) {
				e.addEventListener("change", function(g) {
					document.getElementById("SeletctAreaId").value = this.value
				}, false)
			}
		})
	} else {
		document.getElementById("seleAreaFouth").options.length = 0
	}
};