var Cart = {
	addProduct: function(c, b, a, d, g) {
		var api = '/cart/create';
		if(g){
			api = '/exchange/buy';
			b = 1;
		}
		app.sendRequest(api, {
			session: app.getSession(),
			goods_id: c,
			number: b,
			spec: a.join(",")
		}, function(e) {
			if (!e.status.succeed) {
				mui.toast(e.status.error_desc);
				return
			}
			var f = plus.webview.getWebviewById('home.html');
			mui.fire(f, "cart", {
				total: e.data.goods_number
			});
			if (d) {
				d(e.data)
			}
		})
	},
	changeBar: function(d, g, b, a, j) {
		var h = b.parentNode,
			f = h.querySelector("input");
		var e = 0;
		if (d == "+") {
			e = 1
		}
		if (d == "-") {
			e = -1
		}
		var c = parseInt(f.value);
		if (c + e < 0) {
			mui.toast("您输入的数字已经超出的最小值！");
			return
		}
		var i = f.getAttribute("max") * 1;
		c = c + e;
		if (c > i) {
			c = i;
			if (c < 0) {
				c = 0
			}
			mui.alert("已达到最大库存")
		}
		f.value = c;
		this.changeProductCount(g, f.value, f, a, j)
	},
	changeProductCount: function(a, b, d, e, c) {
		if (b == 0) {
			this.removeProductOnShoppingCart(a, d, c);
			return
		}(function(f) {
			app.sendRequest("/cart/update", {
				session: app.getSession(),
				rec_id: a,
				new_number: b
			}, function(g) {
				if (!g.status.succeed) {
					f.toast(g.status.error_desc);
					return
				}
				var i = plus.webview.getWebviewById('home.html');
				mui.fire(i, "cart", {
					total: g.data.goods_number
				});
				if (e) {
					e(g.data)
				}
			});
			d.value = b
		})(mui)
	},
	removeProductOnShoppingCart: function(a, b, c) {
		(function(d) {
			d.confirm("确定不购买该商品？", "温馨提示", ["是", "否"], function(f) {
				if (f.index == 0) {
					app.sendRequest("/cart/delete", {
						session: app.getSession(),
						rec_id: a
					}, function(e) {
						if (!e.status.succeed) {
							d.toast(e.status.error_desc);
							b.value = 1;
							return
						}
						var g = plus.webview.getWebviewById('home.html');
						mui.fire(g, "cart", {
							total: e.data.goods_number
						});
						if (c) {
							c(e.data, b)
						}
					})
				} else {
					b.value = 1
				}
			})
		})(mui)
	},
	clearCart: function(a) {
		(function(b) {
			app.sendRequest("/cart/clear", {
				session: app.getSession()
			}, function(c) {
				if (!c.status.succeed) {
					b.toast(c.status.error_desc);
					return
				}
				var d = plus.webview.getWebviewById('home.html');
				mui.fire(d, "cart", {
					total: 0
				});
				if (a) {
					a(c.data)
				}
			})
		})(mui)
	},
	get: function(a) {
		app.sendRequest("/cart/list", {
			session: app.getSession(),
			config: {
				silence: true
			}
		}, function(b) {
			if (!b.status.succeed) {
				hideCart();
				mui.toast(b.status.error_desc);
				return
			}
			var c = plus.webview.getWebviewById('home.html');
			mui.fire(c, "cart", {
				total: b.data.total.goods_number
			});
			if (a) {
				a(b.data)
			}
		})
	},
	checkOrder: function(a, c) {
		app.sendRequest("/flow/checkOrder", {
			session: app.getSession(),
			config: {
				silence: true
			}
		}, function(b) {
			if (!b.status.succeed) {
				mui.toast(b.status.error_desc);
				if (c) c(b.status);
				return
			}
			if (a) {
				a(b.data)
			}
		})
	},
	toOrder: function(b, c, a, e) {
		app.sendRequest("/flow/done", {
			session: app.getSession(),
			pay_id: b,
			shipping_id: c,
			bonus_id: a
		}, function(d) {
			if (!d.status.succeed) {
				mui.toast(d.status.error_desc);
				return
			}
			var f = plus.webview.getWebviewById('home.html');
			mui.fire(f, "cart", {
				total: 0
			});
			if (e) {
				e(d.data)
			}
		})
	},
	init: function() {
	}
};