function orderCancel(b) {
	app.sendRequest("/order/cancel", {
		session: app.getSession(),
		order_id: b
	}, function(a) {
		if (!a.status.succeed) {
			mui.toast(a.status.error_desc);
			return
		}
		var d = plus.webview.currentWebview();
		mui.fire(d, "refresh");
		mui.toast("操作成功")
	})
}

function orderPay(f, e, d) {
	if (e == "link") {
		showFrame('支付' , f, {backurl: 'cart.html'});
	} else {
		if (e == "app") {
			pay_app(f.code, f.order, function(a) {})
		} else {
			if (e == "order" && f.length > 0) {
				app.sendRequest("/order/pay", {
					session: app.getSession(),
					order_id: f
				}, function(a) {
					if (!a.status.succeed) {
						mui.toast(a.status.error_desc);
						return
					}
					if (d) {
						d(a.data.pay_online)
					}
				})
			}
		}
	}
}

function orderAffirm(b) {
	mui.confirm("确定要收货吗", "温馨提示", ["确认", "取消"], function(a) {
		if (a.index == 0) {
			app.sendRequest("/order/affirmReceived", {
				session: app.getSession(),
				order_id: b
			}, function(d) {
				if (!d.status.succeed) {
					mui.toast(d.status.error_desc);
					return
				}
				var e = plus.webview.currentWebview();
				mui.fire(e, "refresh");
				mui.toast("操作成功")
			})
		}
	})
}

function orderKD(b) {
	if (b.trim() == "") {
		mui.toast("未获取到快递单号");
		return
	}
	showPage('frame.html', '', {page_title: "查看物流",page_url: "http://m.kuaidi100.com/index_all.html?postid=" + b});
};

function orderInvite(a){
	app.sendRequest("/order/invite", {
		session: app.getSession(),
		order_id: a
	}, function(b) {
		if (!b.status.succeed) {
			mui.toast(b.status.error_desc);
			return
		}
		app.copyToClip(b.data.code);
		layerOpen({
			title: "已获得授权码",
			content: '<input type="text" name="invite_code" value="' + b.data.code + '"/><p>已复制到剪贴板</p>',
			shadeClose: true
		})
	});
}