var wgtVer = null;

function checkUpdate() {
	var b = arguments;
	if (!wgtVer) {
		plus.runtime.getProperty(plus.runtime.appid, function(f) {
			wgtVer = f.version;
			console.log("当前应用版本：" + wgtVer);
			checkUpdate(typeof b[0] != "undefined" ? b[0] : 0)
		});
		return false
	}
	var d = window.localStorage.getItem("updated"),
		c = mui.now(),
		a = 10 * 60 * 1000;
	var e = (typeof arguments[0] != "undefined" && arguments[0] == 1);
	if (!d || c - d > a || e) {
		window.localStorage.setItem("updated", c.toString());
		app.sendRequest("/update", {
			version: wgtVer,
			ios: mui.os.ios ? 1 : 0,
			config: {
				silence: !e,
				error_show: false
			}
		}, function(f) {
			if (!f.status.succeed) {
				var g = f.status.error_desc.split(",")[0];
				if (g == "abort" || g == "timeout") {
					mui.confirm("网络出错，请检查网络配置", "温馨提示", ["退出", "设置"], function(k) {
						if (k.index == 0) {
							if (mui.os.ios) {
								mui.alert("请双击Home键退出程序")
							} else {
								plus.runtime.quit()
							}
						} else {
							if (mui.os.ios) {
								plus.runtime.launchApplication({
									action: "prefs:root=MOBILE_DATA_SETTINGS_ID"
								}, function(l) {})
							} else {
								var h = plus.android.runtimeMainActivity();
								var j = plus.android.importClass("android.content.Intent");
								var i = new j("android.settings.WIFI_SETTINGS");
								h.startActivity(i)
							}
						}
					})
				} else {
					mui.toast(f.status.error_desc)
				}
				return
			}
			if (f.data.update.length > 0) {
				if (typeof f.data.download != "undefined" && f.data.download == 1) {
					mui.confirm("已检测到新版本，是否立即更新？", "温馨提示", ["是", "否"], function(i) {
						if (i.index == 0) {
							mui.toast("本次更新内容较多，请在浏览器中重新下载并安装");
							plus.runtime.openURL(f.data.update)
						}
					})
				} else {
					downWgt(f.data.update)
				}
			} else {
				if (e) {
					mui.alert("当前已是最新版本")
				}
			}
		})
	}
}

function downWgt(a) {
	mui.confirm("已检测到新版本，是否立即更新？", "温馨提示", ["是", "否"], function(c) {
		if (c.index == 0) {
			plus.nativeUI.showWaiting("下载更新中...");
			plus.downloader.createDownload(a, {
				filename: "_doc/update/"
			}, function(e, d) {
				if (d == 200) {
					console.log("下载成功：" + e.filename);
					installWgt(e.filename)
				} else {
					console.log("下载失败！");
					plus.nativeUI.alert("更新失败！")
				}
				plus.nativeUI.closeWaiting()
			}).start()
		}
	})
}

function installWgt(a) {
	plus.nativeUI.showWaiting("更新文件...");
	plus.runtime.install(a, {}, function() {
		plus.nativeUI.closeWaiting();
		console.log("更新文件成功！");
		plus.nativeUI.alert("应用资源更新完成！", function() {
			plus.runtime.restart()
		})
	}, function(b) {
		plus.nativeUI.closeWaiting();
		console.log("更新文件失败[" + b.code + "]：" + b.message);
		if (b.code != -1205) {
			plus.nativeUI.alert("更新失败[" + b.code + "]：" + b.message)
		}
	})
};